Name:       stm8flash
Version:    20180626git
Release:    1%{?dist}
Summary:    Program your stm8 devices with SWIM/stlinkv(1,2)

License:    GPLv2+
URL:        https://github.com/vdudouyt/stm8flash

Source0:     https://github.com/vdudouyt/stm8flash/archive/master.zip

BuildRequires:  libusbx-devel

%description
For years, it was the only program that's able to communicate through 
the SWIM interface of ST-LINKs under Linux.

%prep
unzip -qo %{SOURCE0}
cd stm8flash-master
sed -i 's#/usr/local/bin#/usr/bin#' Makefile
sed -i 's#-O0#-O2#' Makefile

%build
cd stm8flash-master
%make_build

%install
cd stm8flash-master
%make_install

%clean
rm -rf -- stm8flash-master

%files
%doc stm8flash-master/README.md stm8flash-master/COPYING
%attr(0755,root,root) %{_bindir}/stm8flash

%changelog

* Tue Jun 26 2018 Lince <tsingyat@outlook.com> 20180626git-1%{?dist}
- Depend on libusbx instead of libusb

* Mon Jun 25 2018 Lince <tsingyat@outlook.com> 20180527git-1%{?dist}
- Initial build

